glibmm 2.34.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Glib::SignalChildWatch Class Reference
The Main Event Loop

`#include <glibmm/main.h>`

## Public Member Functions
sigc::connection | connect (const sigc::slot< void, GPid, int >& slot, GPid pid, int priority=PRIORITY_DEFAULT)
| Connects a child watch handler.

## Member Function Documentation

sigc::connection Glib::SignalChildWatch::connect | ( | const sigc::slot< void, GPid, int > & | slot,
|  | GPid | pid,
|  | int | priority = `PRIORITY_DEFAULT`
| ) |  |

Connects a child watch handler.

void child_watch_handler(GPid pid, int child_status) { ... }
Glib::signal_child_watch().connect(sigc::ptr_fun(&child_watch_handler), pid);

Parameters

  slot | A slot to call when child process pid exited.
  pid | The child process to watch for.
  priority | The priority of the new event source.

Returns
  A connection handle, which can be used to disconnect the handler.